# Class TCefFastV8Accessor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFv8Accessor

## Declaration

`type TCefFastV8Accessor = class(TCefV8AccessorOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefV8AccessorOwn
- TCefFastV8Accessor

## Overview

### Fields

| `FGetter: TCefV8AccessorGetterProc;`
| `FSetter: TCefV8AccessorSetterProc;`

### Methods

| `function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; override;`
| `function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; override;`
| `constructor Create(const getter: TCefV8AccessorGetterProc; const setter: TCefV8AccessorSetterProc); reintroduce;`

## Description

### Fields

| `FGetter: TCefV8AccessorGetterProc;`
This item has no description.

| `FSetter: TCefV8AccessorSetterProc;`
This item has no description.

### Methods

| `function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; override;`
This item has no description. Showing description inherited from ICefV8Accessor.Get. Handle retrieval the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. If retrieval succeeds set |retval| to the return value. If retrieval fails set |exception| to the exception that will be thrown. Return true (1) if accessor retrieval was handled.

| `function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; override;`
This item has no description. Showing description inherited from ICefV8Accessor.Set_. Handle assignment of the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. |value| is the new value being assigned to the accessor. If assignment fails set |exception| to the exception that will be thrown. Return true (1) if accessor assignment was handled.

| `constructor Create(const getter: TCefV8AccessorGetterProc; const setter: TCefV8AccessorSetterProc); reintroduce;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.